none
2016 Server et Microsoft SQL Server Compact RRS feed

  • Question

  • Bonjour,
    J'ai un serveur en 2012 R2 à passer en 2016

    Ce serveur permet à des douchettes wifi en Windows ce 6.0 Pro de communiqué avec une base SQL2000 (ça commence mal)

    Dessus il y a: 
    SQL 2008 R2 express (qui sert de pont pour sql2000 et la douchette)

    Rôle IIS

    (+ console de gestion IIS, compatibilité avec la gestion IIS6, 
     + Développement d'application ASP, ASP.NET 3.5 et 4.5 CGI Extensions ISAPI)

    SQL Server Compact 3.5 SP2 agent et serveur tools

    Sur mon 2016 je bloc sur le compact 3.5 serveur tools  (SSCEServerTools_x64-FRA) qui ne passe pas la vérification du Rôle IIS qui me dit qu'ils faut une version 5.1 ou si il y a la V7, il faut les outils de compatibilité ( Vous devez tout d'abord installer IIS version 5.1 ou supérieure OU les composants de compatibilité descendante IIS ou IIS7.0 ou version supérieure est installé sur cet ordinateur avant d'installer Microsoft QL Server Compact) or sur 2016 c'est un IIS8 même si j'ai exactement les même options de coché.

    il y a une version 4.0 (SSCERuntime_x64-FRA) qui date déjà de 2011 mais que pour l'agent et pas le servertools ...

    Apparemment la douchette appelle :
    AgentSync@http://IP_du_serveur/Un_Nom_D'alias/sqlcesa35.dll

    Je cherche une solution de contournement (installer un vieux IIS ?) ou une version plus récente du servertools.

    Merci d'avance.

    ps: Je ne suis pas vraiment sûre que le poste sois au bon endroit.
    mardi 11 décembre 2018 15:42

Toutes les réponses

  • Bonjour

    Pouvez-vous essayer d'installer les versions 32 bits et 64 bits de SQL Server Compact 3.5.

    Détail : si jamais, l'installation de SQL Server 2008 R2 induit aussi l'installation de ces librairies.

    Florent

    vendredi 21 décembre 2018 11:09
  • Les deux versions (32 et 64) de SQL Server Compact 3.5 agent s'installe bien, c'est l'installation de SQL Server Compact 3.5 Server Tools qui ne passe pas. il fait une vérification avant installation et but sur la validation du IIS, comme si il ne le voyais pas d'installer. J'ai fait une nouvelle machine vierge en 2016 standard où j'ai tous repris de 0 avec le minimum d'installer et je bloc toujours au même endroit. 

    ps: J'ai bien d'installer dans Rôles de serveurs -> Server Web (IIS) (27 sur 43 installé(s))-> Outils de gestion (installé) -> Compatibilité avec la gestion IIS 6 (installé) avec tout de coché.


    • Modifié Gogo52120 vendredi 21 décembre 2018 15:48
    vendredi 21 décembre 2018 15:29
  • vendredi 21 décembre 2018 15:37